Qwt User's Guide 6.0.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# QwtIntervalSample Class Reference

A sample of the types (x1-x2, y) or (x, y1-y2) More...

`#include <qwt_series_data.h>`

List of all members.

## Public Member Functions
bool | operator!= (const QwtIntervalSample &) const
bool | operator== (const QwtIntervalSample &) const
| QwtIntervalSample (double, const QwtInterval &)
| QwtIntervalSample (double value, double min, double max)
| QwtIntervalSample ()
## Public Attributes
QwtInterval | interval
double | value

## Detailed Description

A sample of the types (x1-x2, y) or (x, y1-y2)

## Constructor & Destructor Documentation

QwtIntervalSample::QwtIntervalSample | ( |  | ) | `[inline]`

Constructor The value is set to 0.0, the interval is invalid

QwtIntervalSample::QwtIntervalSample | ( | double | v,
|  | const QwtInterval & | intv
| ) |  | `[inline]`

Constructor.

QwtIntervalSample::QwtIntervalSample | ( | double | value,
|  | double | min,
|  | double | max
| ) |  | `[inline]`

Constructor.

## Member Function Documentation

bool QwtIntervalSample::operator!= | ( | const QwtIntervalSample & | other | ) | const`[inline]`

Compare operator.

bool QwtIntervalSample::operator== | ( | const QwtIntervalSample & | other | ) | const`[inline]`

Compare operator.

## Member Data Documentation

QwtInterval QwtIntervalSample::interval

Interval.

double QwtIntervalSample::value

Value.